#ifndef FESTER
    #define FESTER
	
	#include <stdint.h>
	
	#ifdef _WIN32
	#include <winsock2.h>
	#define __STARTUP() WSADATA wsaData; if(dumbdumbdumbdumbdumb(&wsaData)) return 1;	
	int dumbdumbdumbdumbdumb(WSADATA *w);
	#else
	#defien __STARTUP() ;
	#endif
	
    // get socket, set socket options, bind to a port, and listen
    int setup();
	
	struct client* allocateBunnies(int sock);
	
	int somethingNeedDoing(uint16_t milliseconds, struct client * pool);


#endif
